import request from '@/scripts/httpRequest'
import qs from 'qs'

 //获取是否保存过用户名密码 以及是否保存过注册信息
export const getInitInfo = (query: any) => {
  return request({
    url: "/data/api-v/sysinit/getInitInfo",
    method: "get",
    params: query
  });
};

//获取注册信息
export const getRegInfo = (query: any) => {
  return request({
    url: "/data/api-v/sysinit/getRegInfo" ,
    method: "get",
    params: query
  });
};


//获取网卡列表
export const networkList = (query: any) => {
  return request({
    url: "/data/api-v/sysinit/networkList",
    method: "get",
    params: query
  });
};


//保存用户名密码
export const savePassword = (data: any) => {
  return request({
    url: "/data/api-v/sysinit/savePassword",
    method: "post",
    data
  });
};


//初始化网络
export const initNetwork = (data: any) => {
  return request({
    url: "/data/api-v/sysinit/initNetwork",
    method: "post",
    data
  });
};

//保存注册信息
export const saveRegInfo = (data: any) => {
  return request({
    url:  "/data/api-v/sysinit/saveRegInfo" ,
    method: "post",
    data
  });
};

export const getList = (query: any) => {
  return request({
    url: "/data/api-v/gb28181/findAreaByParentId",
    method: "get",
    params: query
  });
};

export const isOnNet = (query: any) => {
  return request({
    url: "http://apps.smartai.com/data/api-u/user/login",
    method: "get",
    params: query
  });
};